<?php
class Home extends CI_Controller {
    function __construct() {
        parent::__construct();
        $this->load->model('m_materi');
    }

    function index() {
        if (empty($this->session->user)) return redirect('elearning/login');
        if ($this->session->status == '1') {
            $data['materi'] = $this->m_materi->get_all_materi($this->session->id);
            $this->load->view('elearning/v_home_guru', $data);
        } else {
            $data['mapel'] = $this->m_materi->get_all_mapel()->result_array();
            $data['mapel'] = array_column($data['mapel'], 'materi_mapel');
            $data['mapel'] = array_unique($data['mapel']);
            $this->load->view('elearning/v_home_siswa', $data);
        }
    }
}
?>